GBA ExpLoader v0.58 patch for m3, iTouchds

Discussion in 'EZ-Flash' started by bugmenever, Jan 9, 2009.

  1. bugmenever
    OP

    bugmenever Banned

    Banned
    3
    0
    Jan 4, 2009
    United States
  2. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    Wow [​IMG]

    I have just tested your patch on my M3Real + Ez 3in1 and "This hardware is now available" [​IMG]
    Great patch bugmenever !

    Thank you so much ! [​IMG]
     
  3. powered_by_tux

    powered_by_tux GBAtemp Regular

    Member
    167
    0
    Sep 27, 2008
    Gambia, The
    Thanks, bugmenever. Yery much, indeed.

    You are my hero! [​IMG]
     
  4. carterman

    carterman GBAtemp Regular

    Member
    226
    0
    Mar 22, 2007
    United States
    Lubbock, TX
    Works great. Now, I wonder if this will work for GBA Backup Tool or if a patch for that one can be made. It can be done, you have shown us this. Your awesomeness can only be exponentially increased by making one for GBA Backup Tool. :
     
  5. thedicemaster

    thedicemaster GBAtemp Addict

    Member
    2,428
    15
    Apr 26, 2008
    Netherlands
    it's an ips patch so it will only work on gba exploader 0.58, nothing else.
    unless off course the creator decides to make more patches.
     
  6. glitchbit

    glitchbit GBAtemp Regular

    Member
    114
    0
    Dec 27, 2006
    United States
    Out of everything I have tried which has been literally every suggestion on how to get this to work on m3 real (stock firmware, or otherwise) this is the only thing that has worked and it works on sakura so I assume it likely works on itouchds and m3 real stock as mentioned.

    This thread should be stickied by the mods, because out of all the false info out there this really does work. I will probably notify DX because without this they and others will have a lot of upset customers.
     
  7. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    Yes it works great ! i have the patched GBA exploader 0.58b on M3Real and my ez 3in1 first generation. [​IMG]

    Hope bugmenever will release a patch for GBA Backup Tool too. [​IMG]
     
  8. kobykaan

    kobykaan GBAtemp Addict

    Member
    2,994
    0
    Aug 27, 2007

    which ips patcher and which release of exploader did you use !?

    does not seem to work with my 3 IN 1 or my M3 REAL GBA EXPANSION [​IMG]

    Im also using the TRIPLE loader sakura/itouch/m3 real loaders what are you using?
     
  9. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
  10. kobykaan

    kobykaan GBAtemp Addict

    Member
    2,994
    0
    Aug 27, 2007
    Hmmmm I think I have a second gen 3 IN 1 ... seem to have vague memories having to use an updated version as they changed the chips or something maby thats why maby whoever made the fix has a v1 so has not found the glitch on new chipsets [​IMG]
     
  11. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    When you launch the patched version of GBAexploader 0.58b, do you have the message :
    "This hardware is NOT available" ? or you have something else ?
     
  12. kobykaan

    kobykaan GBAtemp Addict

    Member
    2,994
    0
    Aug 27, 2007
    It says this hardware is now available (A) confirm then it HANGS forever on Initialize (I know it makes a couple of folders in the Initialize process but it does not go further! [​IMG]

    unlike the 0.57 version that works and gives the green layout with the options and settings etc [​IMG]
     
  13. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    Ok. Seems that the DLDI driver can't create folders. Your microSD is ok ?
    Verify it with the checkdisk command on your PC :
    chkdsk x: /f
    where x: is the letter of your microSD PC card reader.
    As you are here, checkdisk will gives you cluster's size. Which size you have ?

    And if it can help, i have tested on a M3real with firmware E32
     
  14. kobykaan

    kobykaan GBAtemp Addict

    Member
    2,994
    0
    Aug 27, 2007
    thats just it ....it does! make the folders [​IMG]

    are you using the triple or just the standard M3 REAL loader?
     
  15. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    The standard one. [​IMG]

    Also you might try with Cory1492's GBAldr perhaps it could fix somewhat your problem in re-initializing the hardware.

    BTW, Cory1492 has not yet updated his homebrew to work with the last ez 3in1Plus.
     
  16. damio

    damio Member

    Newcomer
    15
    0
    Oct 18, 2008
    Try moving some of the other files around in the same directory.
    Mine always hung on "Initalize..." when I had the SoftReset.M3DS file in the root (for some reason it works now)
     
  17. tirges

    tirges Member

    Newcomer
    19
    0
    Feb 2, 2008
    Belgium
    Wow! That did the trick :-)

    Mine also stuck on Initialize... (M3 Real GBA Expansion : (gets identified as [M3/G6]) , and the EZ3-in-1 , new version (gets identified : [New3in1])

    I wouldn't have thought to try removing SoftReset.M3DS from my card , thanx!
     
  18. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    So Rudolph is working for the M3 Team or what ?
    If i understand the situation here.
    The ez 3in1 can't be used on M3Real and Itouch because Rudolph has excluded them from GBAexploader 0.58b.
    BUT, he has also included the support of M3 GBA expansion pack so it can be used on other flashcart than M3Real or Itouch.

    At the end, he has excluded the ez 3in1 to work with M3Real/Itouch so users of those flashcarts must buy the M3 GBA expansion, and he has included support of the M3 GBA expansion so the M3 Team can also sell this for other flashcart (without published sources ?!).
    In Japan, M3 team is doing great as i can see ! [​IMG]
     
  19. Hell_AleX

    Hell_AleX GBAtemp Regular

    Member
    123
    0
    Jan 3, 2009
    Gambia, The
    Germany
    so ehm... is this patch for the ez 3-1Pls or not? it's very confusing...:-?

    and does this work on the EDGE card? if not... will it be patched for it too?
     
  20. popdog23

    popdog23 Newbie

    Newcomer
    8
    0
    Feb 16, 2009
    United States
    I have an itouchds and it hangs on initializing. Any help?